﻿
@{
    ViewBag.Title = "chart";
    Layout = "~/Views/Shared/templateBack.cshtml";
}

<h2>chart</h2>
<script src="~/Scripts/chart/exporting.js"></script>
<script src="~/Scripts/chart/highcharts.js"></script>


<div class="jumbotron">
    <div id="container" style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>
</div>

<script>


    $(document).ready(function () {
        $.getJSON("/Data/GetData", function (data) {



            Highcharts.chart('container', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: 'Gender Ratio'
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                            style: {
                                color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                            }
                        }
                    }
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data: [{
                        name: 'sold',
                        y: data.sold
                    }, {
                        name: 'unsold',
                        y: data.unsold
                    }]
                }]
            });
        });
    });


</script>
